org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface QueryFactory

    public interface QueryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `QueryPackage`
Generated:
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static QueryFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`EObjectLiteralQuery` `createEObjectLiteralQuery()` Returns a new object of class 'EObject Literal Query'.
`FalseLiteralQuery` `createFalseLiteralQuery()` Returns a new object of class 'False Literal Query'.
`FloatLiteralQuery` `createFloatLiteralQuery()` Returns a new object of class 'Float Literal Query'.
`IntegerLiteralQuery` `createIntegerLiteralQuery()` Returns a new object of class 'Integer Literal Query'.
`IsOneOfQuery` `createIsOneOfQuery()` Returns a new object of class 'Is One Of Query'.
`NavigationQuery` `createNavigationQuery()` Returns a new object of class 'Navigation Query'.
`NullLiteralQuery` `createNullLiteralQuery()` Returns a new object of class 'Null Literal Query'.
`OperationCallQuery` `createOperationCallQuery()` Returns a new object of class 'Operation Call Query'.
`StringLiteralQuery` `createStringLiteralQuery()` Returns a new object of class 'String Literal Query'.
`TrueLiteralQuery` `createTrueLiteralQuery()` Returns a new object of class 'True Literal Query'.
`QueryPackage` `getQueryPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final QueryFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createNavigationQuery

    NavigationQuery createNavigationQuery()

Returns a new object of class 'Navigation Query'.

Returns:
  a new object of class 'Navigation Query'.
Generated:

#### createIsOneOfQuery

    IsOneOfQuery createIsOneOfQuery()

Returns a new object of class 'Is One Of Query'.

Returns:
  a new object of class 'Is One Of Query'.
Generated:

#### createStringLiteralQuery

    StringLiteralQuery createStringLiteralQuery()

Returns a new object of class 'String Literal Query'.

Returns:
  a new object of class 'String Literal Query'.
Generated:

#### createTrueLiteralQuery

    TrueLiteralQuery createTrueLiteralQuery()

Returns a new object of class 'True Literal Query'.

Returns:
  a new object of class 'True Literal Query'.
Generated:

#### createFalseLiteralQuery

    FalseLiteralQuery createFalseLiteralQuery()

Returns a new object of class 'False Literal Query'.

Returns:
  a new object of class 'False Literal Query'.
Generated:

#### createNullLiteralQuery

    NullLiteralQuery createNullLiteralQuery()

Returns a new object of class 'Null Literal Query'.

Returns:
  a new object of class 'Null Literal Query'.
Generated:

#### createIntegerLiteralQuery

    IntegerLiteralQuery createIntegerLiteralQuery()

Returns a new object of class 'Integer Literal Query'.

Returns:
  a new object of class 'Integer Literal Query'.
Since:
  0.2
Generated:

#### createFloatLiteralQuery

    FloatLiteralQuery createFloatLiteralQuery()

Returns a new object of class 'Float Literal Query'.

Returns:
  a new object of class 'Float Literal Query'.
Since:
  0.2
Generated:

#### createEObjectLiteralQuery

    EObjectLiteralQuery createEObjectLiteralQuery()

Returns a new object of class 'EObject Literal Query'.

Returns:
  a new object of class 'EObject Literal Query'.
Since:
  0.2
Generated:

#### createOperationCallQuery

    OperationCallQuery createOperationCallQuery()

Returns a new object of class 'Operation Call Query'.

Returns:
  a new object of class 'Operation Call Query'.
Since:
  0.2
Generated:

#### getQueryPackage

    QueryPackage getQueryPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: